slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPGetRG

Obtain the region object associated to the nonlinear eigensolver object.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetRG(NEP nep,RG *rg)

Not Collective

### Input Parameters

| nep | - eigensolver context obtained from NEPCreate()

### Output Parameter

| rg | - region context

### See Also

NEPSetRG()

### Level

advanced

### Location

src/nep/interface/nepbasic.c

### Examples

src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex42.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages